> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmetal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document

> This endpoint gets an embedding document.

### Auth Headers

<ParamField required header="x-metal-api-key" type="string">
  An API key for your org.
</ParamField>

<ParamField required header="x-metal-client-id" type="string">
  A Client ID for your org.
</ParamField>

### Params

<ParamField required path="documentId" type="string">
  The Document ID
</ParamField>

### Response

<ResponseField name="data" type="App Object">
  <Expandable title="properties">
    <ResponseField name="id" type="string">
      Id of the document
    </ResponseField>

    <ResponseField name="text" type="string">
      The embedded text
    </ResponseField>

    <ResponseField name="metadata" type="object">
      The metadata of your embedding
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api.getmetal.io/v1/indexes/{indexId}/documents/{documentId}' \
  --header 'Content-Type: application/json' \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <client-id>' \
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": {
      "id": "642b6f4za4b817d11769ae15",
      "text": "my embedded text",
      "createdAt": "2023-04-04T00:28:58.425Z",
      "metadata": {}
    }
  }
  ```
</ResponseExample>
